First impressions of Qt 5.2 install



  • I installed qt 5.2 from
    http://qt-project.org/downloads, using "Qt Online Installer for Windows (13 MB) (Info)"
    After a long download, I opened qt creator, and clicked on
    tutorials, then on building and running an application.

    It says "in the Welcome mode...", but never says how to get to welcome mode.
    I clicked on the welcome button at last.
    Then examples, then, I clicked on flickr view example.

    Then I clicked on green Play icon, since it was in the building and running tutorials, and got an error:

    ":-1: error: Qt Creator needs a compiler set up to build. Configure a compiler in the kit options."

    Why does an tutorial example give you an error? Error, or this error message is not mentioned anywhere in the tutorial,
    Or the possibility of the error.

    Why can't installer select MiniGW complier by default, seeing as it was downloaded?
    Why is location of the kit selector not mentioned in the error message? (tools/options, or pc icon?)

    Although, there is a message about kit selector. "To check that the application code can be compiled and linked for a device,

    click the Kit Selector and select a kit for the device."

    Even though it does not tell you which kit to select, or what kit is.

    And how do I exit from the kit selection window? Click on Debug? Double click?

    First, time I run it if failed. The second time it worked, but gave a lot of error messages, such as:
    "getProcAddress: Unable to resolve 'glBindFramebuffer"

    So I closed it, (File / close all projects and editors.), and selected another example.

    I selected Text editor, cliked, play, and it gave error:
    Qt Creator needs a compiler set up to build. Configure a compiler in the kit options."
    so I had to select kit again ...

    (I apologize if this is the wrong forum for this post.)


  • Moderators

    Hi, and welcome to the Qt Dev Net!

    Did you install multiple variants of Qt? If so, the installer won't know which one you want as the default. You can set the default by going to Tools -> Options -> Build & Run -> Kits and selecting "Make Default" on the one you want.

    Also, when you open a project for the first time, you are asked to select the kit(s) you want to use.

    For more info about kits, see https://qt-project.org/doc/qtcreator-3.0/creator-targets.html

    [quote]“getProcAddress: Unable to resolve ‘glBindFramebuffer”[/quote]Qt requires OpenGL 2.0 or higher. Does your graphics card driver support this? If not, you need to download a variant of the Qt libraries that use "ANGLE instead of OpenGL":http://qt-project.org/wiki/Qt-5-on-Windows-ANGLE-and-OpenGL.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.